This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 802712 - Provide support for configuring [keyfile] in conf file
Provide support for configuring [keyfile] in conf file
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 06:35 EDT by Zdenek Kabelac
Modified: 2013-05-07 09:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-07 09:44:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 699458 None None None Never

  None (edit)
Description Zdenek Kabelac 2012-03-13 06:35:48 EDT
Description of problem:

It would be nice if there would be some 'clickable' way to configure
[keyfile] section in NetworkManager.conf file.

In the past (Bug 760291) I've been having troubles with X window display access because dhcp hostname of my machine has been changing between various networks.
While I've not yet managed to resolve the problem on the 'X-side' - I've figured out very simple solution on NM-side.

I've change my /etc/NetworkManager/NetworkManager.conf to look like this:
---
[main]
plugins=ifcfg-rh,keyfile

[keyfile]
hostname=linux
---

It might be nice to have some GUI way to setup such configuration.
(If there is some already?? - I've not yet found it)

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.9.3.995-0.4.git20120302.fc18.x86_64

How reproducible:


Steps to Reproduce:
1. While running X session suspend with dhcp hostname in network A
2. resume in Network B where dhcp gives different name
3. access to disable gets lost and could be recovered only by
   playing with  'xauth' utils and setting new proper 
   hostname/unix:0 MIT-MAGIC-COOKIE-1
   (In fact this could be possible also managed by NM,
   but using fixed hostname is for now easier to me.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2013-04-03 10:23:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Pavel Šimerda (pavlix) 2013-05-07 09:44:34 EDT
Actually, the current way of handling hostname is suppost to be via /etc/hostname but we forgot to do it for 'keyfile' which should be fixed.

Please see upstream bug report:

https://bugzilla.gnome.org/show_bug.cgi?id=699458

Note You need to log in before you can comment on or make changes to this bug.